PelekaPeleka Developers
API ReferenceBroadcasts

List broadcasts, with search, filtering, sorting, and pagination

GET
/api/v1/broadcasts
X-API-Key<token>

In: header

Query Parameters

status?string
page?string
limit?string
search?string
sortBy?string
order?string
from?string
to?string
archived?string

Response Body

application/json

curl -X GET "https://example.com/api/v1/broadcasts"
{  "data": [    {      "id": "550e8400-e29b-41d4-a716-446655440000",      "workspaceId": "550e8400-e29b-41d4-a716-446655440000",      "name": "Summer Sale Announcement",      "status": "draft",      "subject": "Our biggest sale of the year 🎉",      "previewText": "Preview of what's inside...",      "fromName": "Peleka Team",      "fromEmail": "[email protected]",      "audienceType": "all",      "audienceFilter": {        "ids": []      },      "blocks": [],      "theme": "modern",      "footerStyles": {},      "sentCount": 0,      "createdAt": "2026-01-01T00:00:00.000Z",      "updatedAt": "2026-01-01T00:00:00.000Z"    }  ],  "nextCursor": null}